> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# AI 关键词数据关键词搜索量

> 此端点提供目标关键词的搜索量数据，反映其在 AI 工具中的估算使用量。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/ai_optimization/ai_keyword_data/keywords_search_volume/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/ai_optimization/ai_keyword_data/keywords_search_volume/live:
    post:
      summary: AI 关键词数据关键词搜索量
      description: 此端点提供目标关键词的搜索量数据，反映其在 AI 工具中的估算使用量。
      operationId: >-
        post_dataforseo_ai_optimization_ai_keyword_data_keywords_search_volume_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keywords:
                  type: array
                  items:
                    type: string
                  description: >-
                    keywords 必填字段，采用 UTF-8 编码。最多可指定 1000 个关键词；单个关键词最多包含 250
                    个字符；关键词将转换为小写格式；有关 DataForSEO API 中 keyword 和 keywords
                    字段的规则与限制，请参阅此帮助中心文章
                location_name:
                  type: string
                  description: >-
                    位置的完整名称；如果未指定 location_code，则为必填字段。注意：必须指定 location_name 或
                    location_code 之一。您可以向
                    https://api.dataforseo.com/v3/ai_optimization/ai_keyword_data/locations_and_languages
                    单独发起请求，获取包含 location_name 的可用位置列表。示例：United Kingdom
                location_code:
                  type: integer
                  description: >-
                    唯一位置标识符。如果未指定 location_name，则为必填字段。注意：必须指定 location_name 或
                    location_code 之一。您可以通过向
                    https://api.dataforseo.com/v3/ai_optimization/ai_keyword_data/locations_and_languages
                    单独发出请求，获取包含 location_code 的可用位置列表。示例：2840
                language_name:
                  type: string
                  description: >-
                    语言的完整名称。如果未指定 language_code，则为必填字段；如果使用此字段，则无需指定
                    language_code。您可以通过向
                    https://api.dataforseo.com/v3/ai_optimization/ai_keyword_data/locations_and_languages
                    单独发出请求，获取包含 language_name 的可用语言列表。示例：English
                language_code:
                  type: string
                  description: >-
                    语言代码；如果未指定 language_name，则此字段为必填项。如果使用此字段，则无需指定
                    language_name。你可以通过向
                    https://api.dataforseo.com/v3/ai_optimization/ai_keyword_data/locations_and_languages
                    单独发起请求，获取可用语言及其 language_code 列表。示例：en
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - keywords
                - location_name
                - location_code
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含指定关键词及其 AI 搜索量占比
                  tasks.result.items.keyword:
                    type: string
                    description: 指定的关键词
                  tasks.result.items.ai_search_volume:
                    type: integer
                    description: 关键词当前的 AI 搜索量比率；在此处了解有关此指标的更多信息
                  tasks.result.items.ai_monthly_searches:
                    type: array
                    items:
                      type: string
                    description: 每月 AI 搜索量比率，由对象组成的数组，包含某年特定月份的 AI 搜索量比率
                  tasks.result.items.ai_monthly_searches.year:
                    type: integer
                    description: 年
                  tasks.result.items.ai_monthly_searches.month:
                    type: integer
                    description: 月
                  tasks.result.items.ai_monthly_searches.ai_search_volume:
                    type: integer
                    description: 某年特定月份的 AI 搜索量比率；可在此处详细了解此指标
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````